Note
Access to this page requires authorization. You can try signing in or changing directories.
Access to this page requires authorization. You can try changing directories.
Retrieve the properties and relationships of a dimension line object for Business Central.
Prerequisites
HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline.
If you want to receive all of the dimension lines of a specific parent entity, you can do it with the following URL:
GET businesscentralPrefix/companies({id})/dimensionLines?$filter=parentId eq ({id})
In order to get a specific dimension line, you can use the following URL:
GET businesscentralPrefix/companies({id})/dimensionLines(parentId=({id}),id=({id}))
Request headers (v1.0)
| Header | Value |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body (v1.0)
Do not supply a request body for this method.
Response (v1.0)
If successful, this method returns a 200 OK response code and a dimensionLines object in the response body.
Example (v1.0)
Request
Here is an example of the request.
GET https://{businesscentralPrefix}/api/v1.0/companies({id})/dimensionLines(parentId=({id}),id=({id}))
Response
Here is an example of the response.
Note
The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.
{
"parentId": "id-value",
"id": "id-value",
"code": "DEPARTMENT",
"displayName": "Department",
"valueId": "id-value",
"valueCode": "SALES",
"valueDisplayName": "Sales"
}
Related information
Tips for working with the APIs
Error Codes
Dimension Line
Post Dimension Line
Patch Dimension Line
Delete Dimension Line